Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.doc.rtf
Class IdlToRTF

    java.lang.Object
      |
      +--org.openorb.compiler.doc.rtf.IdlToRTF

public class IdlToRTF
extends java.lang.Object

This class takes an IDL graph and generates its RTF documentation.

Constructor Summary
`IdlToRTF()`

Method Summary
`void` | `translateAttribute(IdlObject obj, java.io.PrintWriter output)` This method translates an Attribute
`void` | `translateContentTable(IdlObject obj, java.io.PrintWriter output, int type)` This method translates into a table al sub types of the current object Summary : type = 1 Details : type = 2 Summary and details : type == 3
`void` | `translateFactory(IdlObject obj, java.io.PrintWriter output)` This method translates a factory member
`void` | `translateOperation(IdlObject obj, java.io.PrintWriter output)` This method translates an Operation
`void` | `translateStateMember(IdlObject obj, java.io.PrintWriter output)` This method translates a state member
`void` | `translateSummary(java.lang.String title, java.io.PrintWriter rtf)` This method create an summary file for the HTML navigation
`void` | `translateToRTF(IdlObject obj, java.lang.String fileName, java.lang.String title, java.lang.String header, java.lang.String footer)` This method translates an IDL descriptions in RTF documentations.
`java.lang.String` | `translateType(IdlObject obj, java.lang.String desc, java.lang.String name, boolean write, IdlObject current)` This method translates a IDL type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdlToRTF

    public IdlToRTF()

Method Detail

### translateType

    public java.lang.String translateType(IdlObject obj,
                                          java.lang.String desc,
                                          java.lang.String name,
                                          boolean write,
                                          IdlObject current)

  This method translates a IDL type

### translateContentTable

    public void translateContentTable(IdlObject obj,
                                      java.io.PrintWriter output,
                                      int type)

  This method translates into a table al sub types of the current object Summary : type = 1 Details : type = 2 Summary and details : type == 3

### translateFactory

    public void translateFactory(IdlObject obj,
                                 java.io.PrintWriter output)

  This method translates a factory member

### translateStateMember

    public void translateStateMember(IdlObject obj,
                                     java.io.PrintWriter output)

  This method translates a state member

### translateAttribute

    public void translateAttribute(IdlObject obj,
                                   java.io.PrintWriter output)

  This method translates an Attribute

### translateOperation

    public void translateOperation(IdlObject obj,
                                   java.io.PrintWriter output)

  This method translates an Operation

### translateSummary

    public void translateSummary(java.lang.String title,
                                 java.io.PrintWriter rtf)

  This method create an summary file for the HTML navigation

### translateToRTF

    public void translateToRTF(IdlObject obj,
                               java.lang.String fileName,
                               java.lang.String title,
                               java.lang.String header,
                               java.lang.String footer)

  This method translates an IDL descriptions in RTF documentations.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD